function [output] = hypothesis(avg_request_time, avg_processing_time)
	
	n = 1000;
	
	% генераторы псевдослучайных чисел.
	e_request 	 = mult_generator(2000000, n);
	e_processing = mult_generator(1584371, n);
	
	% генераторы значений времени поступления и обработки заявок
	request_time 	= exp_generator(e_request, n, avg_request_time);
	processing_time = exp_generator(e_processing, n, avg_processing_time);
	
	% интервалы для проверки гипетезы
	m = 28;
	
	max_art     = max(request_time);
	min_art     = min(request_time);
	art_cint(1) = (max_art - min_art) / m;
	
	for i=1:1:m
		art_cint(i + 1) = art_cint(i) + art_cint(1);
	end;
	
	max_apt     = max(processing_time);
	min_apt     = min(processing_time);
	apt_cint(1) = (max_apt - min_apt) / m;

	for i=1:1:m
		apt_cint(i + 1) = apt_cint(i) + apt_cint(1);
	end;
	
	% построение графиков
	art_count = histc(request_time, art_cint);
	apt_count = histc(processing_time, apt_cint);
	
	for i=1:1:m
		art_y(i) = 0;
		apt_y(i) = 0;
	end;
	
	for i=1:1:m		
		art_y(i) = exp((-art_cint(i)) / avg_request_time) - exp((-art_cint(i + 1)) / avg_request_time);
		apt_y(i) = exp((-apt_cint(i)) / avg_processing_time) - exp((-apt_cint(i + 1)) / avg_processing_time);
	end;

	% получение числа для проверки гипотезы
	art_hypothesis = 0;
	apt_hypothesis = 0;
	for i=1:1:m
		art_hypothesis = art_hypothesis + (((art_count(i) - n * art_y(i))^2) / (n * art_y(i)));
		apt_hypothesis = apt_hypothesis + (((apt_count(i) - n * apt_y(i))^2) / (n * apt_y(i)));
	end;
	
	fprintf('\nдля времемени поступления заявки:\n'); 
	fprintf('модуль полученной суммы = %f \n', abs(art_hypothesis));

	fprintf('\nдля времемени обработки заявки:\n'); 
	fprintf('модуль полученной суммы  = %f \n', abs(apt_hypothesis));
	